Subject: bug#25852: Users not updating their installations of Guix

From: myglc2 <[email-masked]>
Date: Fri, 12 May 2017 13:10:42 -0400

On 05/12/2017 at 10:29 Ludovic Courtès writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> myglc2 <[email-masked]> skribis:
>>>
>>>> How about extending this ...
>>>>
>>>>> +      (warning (G_ "Your Guix installation is getting old.  Consider
>>>>> +running 'guix pull' followed by '~a' to get up-to-date
>>>>> +packages and security updates.\n")
>>>>
>>>> ... to inform the user how old the installation is?
>>>
>>> Good idea.  I did that and pushed as
>>> 7fd952e05203d975fcb6cdabd2f742ade1b31b66.
>>
>> Does this do the right thing when .config/guix/latest points at a git
>> checkout?
>
> No it doesn’t, but I would argue that it unsupported.  ;-)
>
>> The mtime of the “.config/guix/latest” link on one of my machines is
>> from 2016, so Guix says it is too old, but it points to a git
>> checkout, which is recent.
>
> I would suggest:
>
>   export GUIX_DISTRO_AGE_WARNING=1000m
>
> as a workaround.  WDYT?

This alters guix's stock behavior if/when one switches back to using
'guix pull'. Maybe a better thing to do is the following each time you
update guix from a git checkout ...

ln -f -s -T ~/src/guix/ ~/.config/guix/latest
sudo ln -f -s -T ~/src/guix/ /root/.config/guix/latest